//package com.mcwl.comment.service.impl;
//
//
//import com.mcwl.comment.domain.ProductCommentConditionEntity;
//import com.mcwl.comment.domain.ProductCommentEntity;
//import com.mcwl.comment.mapper.CommentMapper;
//import com.mcwl.common.core.domain.AjaxResult;
//import com.mcwl.common.utils.AssertUtil;
//import com.mcwl.common.utils.FillUserUtil;
//import com.mcwl.common.utils.ResponsePageEntity;
//import com.mcwl.common.utils.SecurityUtils;
//import com.mcwl.common.utils.bean.BaseService;
//
//import com.mcwl.common.web.BaseMapper;
//import com.mcwl.resource.domain.MallProduct;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//import java.util.List;
//import java.util.Objects;
//
//import static com.mcwl.common.utils.SecurityUtils.getUsername;
//
///**
// * @Author：ChenYan
// * @Project：McWl
// * @Package：com.mcwl.comment.service.impl
// * @Filename：CommentServiceImpl
// * @Description TODO
// * @Date：2025/1/4 19:04
// */
//@Service
//public class CommentServiceImpl extends BaseService<ProductCommentEntity, ProductCommentConditionEntity> {
//
//    @Autowired
//    private CommentMapper commentMapper;
//
//
//    public MallProduct findById(Long id) {
//        return commentMapper.findById(id);
//    }
//
//
//    public int insert(ProductCommentEntity productCommentEntity) {
//        // 获取当前用户
//        Long userId = SecurityUtils.getUserId();
//        productCommentEntity.setUserId(userId);
//        productCommentEntity.setCreateBy(getUsername());
//        checkParam(productCommentEntity);
//        return commentMapper.insert(productCommentEntity);
//    }
//
//
//    public int update(ProductCommentEntity productCommentEntity) {
//        // 获取当前用户
//        Long userId = SecurityUtils.getUserId();
//        productCommentEntity.setUserId(userId);
//        productCommentEntity.setUpdateBy(getUsername());
//        checkParam(productCommentEntity);
//        return commentMapper.upda(productCommentEntity);
//    }
//
//
//    public int deleteByIds(List<Long> ids) {
//        List<ProductCommentEntity> entities = commentMapper.findByIds(ids);
//        AssertUtil.notEmpty(entities, "商品评论已被删除");
//
//        ProductCommentEntity entity = new ProductCommentEntity();
//        FillUserUtil.fillUpdateUserInfo(entity);
//        return commentMapper.deleteByIds(ids, entity);
//    }
//    private void checkParam(ProductCommentEntity productCommentEntity) {
//        if (Objects.nonNull(productCommentEntity.getParentId()) && productCommentEntity.getParentId() > 0) {
//            MallProduct productEntity = commentMapper.findById(productCommentEntity.getParentId());
//            AssertUtil.notNull(productEntity, "该父评论在系统中不存在");
//        }
//
//        MallProduct userEntity = commentMapper.findById(productCommentEntity.getUserId());
//        AssertUtil.notNull(userEntity, "该用户在系统中不存在");
//
//        MallProduct productEntity = commentMapper.findById(productCommentEntity.getProductId());
//        AssertUtil.notNull(productEntity, "该商品在系统中不存在");
//    }
//
//    @Override
//    protected BaseMapper getBaseMapper() {
//        return commentMapper;
//    }
//}
